require 'rest-client'
require 'json'

puts '------------------------------------------------------------------------------'
puts '------------------------------------------------------------------------------'
puts "Favor informar o cep para consulta: \n"
cep = gets
url = URI.parse(URI.encode("https://viacep.com.br/ws/#{cep.to_s}/json/"))

url_part1 =  url.to_s[0..32]
url_part2 =  url.to_s[36..42]

url_full = "#{url_part1}#{url_part2}"
puts '------------------------------------------------------------------------------'
puts '------------------------------------------------------------------------------'
puts 'Serviço a ser consultado: '
puts url_full
puts '------------------------------------------------------------------------------'
puts '------------------------------------------------------------------------------'
puts 'Retorno do Serviço de Cep em Json: '
response = RestClient.get(url_full)
puts response
puts '------------------------------------------------------------------------------'
puts '------------------------------------------------------------------------------'
